Skip to main content
`Ctrl`+`K`

# PEPViewFromOptions

View (print) a `PEP` object based on values in the options database.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPViewFromOptions(PEP pep,PetscObject obj,const char name[])

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPView()`, `PEPCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/pep/interface/pepview.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages